#! /bin/bash
#
#  creates slinky-0.x.xx.tar.bz2 without the following dirctories:
#  - CVS
#  - rule_iso
#  - slinky-images
#  - PCMCIA
#
#  run this from the slinky development directory

. ./version.h

# mkdir -p slinky-images/${version}
tarball=slinky-devel-${version_id}.tar

rm -rf tmp/slinky-devel-${version_id}

mkdir -p tmp/slinky-devel-${version_id}
tar --exclude tmp --exclude DISK2 --exclude CVS --exclude rule_iso --exclude slinky-images --exclude PCMCIA -cvf - . | (cd tmp/slinky-devel-${version_id}; tar -xf -)
rm -rf tmp/slinky-devel-${version_id}/tmp

cd tmp
tar -cvf $tarball slinky-devel-${version_id}
rm -rf slinky-devel-${version_id}

echo bzip2 of: `pwd`/$tarball
bzip2 $tarball
